#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	xorg-libxshmfence
Version		:	1.3
Release		:	14.4.0.0%{?dist}
Summary		:	X11 shared memory fences
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/archive/individual/lib/

Source0		:	%{shortname}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	xorgproto
BuildRequires	:	fontconfig-devel
#-----------------------------------------------------------------------------
%description
This library provides an interface to shared-memory fences for
synchronization between the X server and direct-rendering clients. 

%prep
%setup -q -n %{shortname}-%{version}

#---------------------------------------------------------
#building application
%build

./configure						\
	$XORG_CONFIG					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	INSTALL="install -p"				\
	DESTDIR=%{buildroot}				\
	install
	

%files			
%defattr(-,root,root,-)

%doc COPYING README
%{_includedir}/X11/xshmfence.h
%{_libdir}/%{shortname}.{la,so*}
%{_libdir}/pkgconfig/xshmfence.pc

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
